---
title: What's new in the v0.8 series release
sidebar_label: v0.8
description:
  Release notes for v0.8 series of Databend.
---

**Release Date: August 18, 2022**

This release of Databend includes new features and improvements.

### New Feaures and Improvements

* Query(Copy): make copy into can parallel load directory multi file #4584
* Query(Copy): Feature: Support JSON file format for the COPY command #4527
* Query(Copy): Unloading data into stage #4498
* Query(Copy): Improve the COPY from external location performance  #4308
* Query(Insert): Feature: Async Insert #4577
* Query(View): Feature: Support View Create/Select/Alter #4610
* Query(Insert): Feature: Improve insert into performance #4413
* Query(SQL):Update sqlparser-rs to latest to support Unsigned* #4877
* Query (TimeZone): Feature: Adapt to different countries support user change timezone #4651
* Query(DataType): Support Semi-structured Data Types (like json format) #3916
* Query(information_schema): Support for information_schema database  #4659
* Query(DataType): Datetime type attempt to multiply with overflow from chrono #4874
* Query(ALTER): Support: ALTER DATABASE [ IF EXISTS ] db_name RENAME TO new_db_name #4839
* Query(DML): support query: show table status #4757
* Query(DML) ISSUE-4459: Add support for alter table rename statement #4532
* Query(DataType): Support ArrayT Data Type
* Query(Function): feat: Add scalar function humanize #5073
* Query(Function): feat(functions): support aggregate function retention #4970
* Query(Function): feature: support REGEXP_REPLACE function #4944
* Query(Function): feature: support REGEXP_SUBSTR function  #4771
* Query(Function): feat(function): Support Semi-structured function GET/GET_IGNORE_CASE/GET_PATH #4684
* Query(Function) : support PARSE_JSON / TRY_PARSE_JSON function #4534
* Query(Source): feat(source): add ndjson source for streaming load #4561
* Query(Settings): feat(setting): support global setting #6579
* Query(Handler): feat(query): deprecate clickhouse's tcp protocol support #7012
* Query(Planner): Support CTE(Common Table Expression) #6246
* Query(UDF): SQL UDFs #3994
* Query(GroupBy): two-level hashmap optimization #4602
* Query(SQL): [SQL] Support Common Table Expressions #514
* Query(Optimizer): Optimizer rule_push_down_filter_scan is not enabled #7069

* Storage(Delete): Feat: statement delete from...  #5691
* Storage(Azblob): feat: Implement azblob support  #5025
* Storage(TimeTravel): Feat : undrop table & show history #5562
* Storage(clustering_information): feat(fuse): add system$clustering_information function #5426
* Storage(Index): feat: enable bloom filter index #6639
* Storage(ClusterKey): Feature: Table Cluster Key #4268
* Storage(COPY): Support read compressed files in COPY statemente #5380
* Storage(External): Hive as an External Data Source #4826
* Storage(predict): refactor(query): predicate push down support multi expressions #7078

* API(REST): Feature: Add ClickHouse REST handler #4568
* API(JDBC): Proposed: support DBeaver connect Databend #4581

* Meta: Feature: [metasrv]: add API watch #4393
* Meta: Add API to remove a node from metasrv cluster #4312

* Cloud(User): Fine-grained user privilege on database & table #2894
* Executor(Processor): Feature: support abort for insert query #4646
* Planner: Migrate to new planner framework #3747
* OpenDAL: Native compress support opendal#70

### Downloading and Installing Databend

Databend is available on a variety of Linux platforms and macOS. Click [here](https://github.com/datafuselabs/databend/releases/tag/v0.8.0-nightly) to open the release page on GitHub, then select and download an installer for your platform.

To deploy Databend, follow the [Deployment Guide](https://databend.rs/doc/deploy).

### Loading Data

There are many ways to load data into Databend. You can use the command-line interface (CLI), API, or the mysqldump client utility, depending on where your data is stored. Refer to the [Load Data](https://databend.rs/doc/load-data) tutorials for details. 